Subject: RE: [lojban] Re: possible A-F...

From: "And Rosta" <[email-masked]>
Date: Sat, 10 Nov 2001 23:47:02 -0000

BWAFC:
> --- In lojban@y..., And Rosta <arosta@u...> wrote:
> > Why is it [16] being a power of 2 a reason? Why is it a good thing 
> that it is a power of two.
> 
> One startling advantage of this can be shown by taking hexadecimal as 
> the example: the base of hexadecimal is 16, and representing all 
> numbers in hexadecimal, if you halve 16, you get 8; if you halve 8, 
> you get 4; if you halve 4, you get 2; if you halve 2, you get 1 -- 
> bingo! Then, if you halve 1, you get 0.8; if you halve 0.8, you get 
> 0.4; if you halve 0.4, you get 0.2; if you halve 0.2, you get 0.1 -- 
> bingo again! If you halve 0.1, you get 0.08, and so on. It's nice and 
> clean and tidy and regular and simple. This works for any number 
> system whose base is a positive integral power of 2.
> 
> What happens with duodecimal? The base of duodecimal is 12, and 
> representing all numbers in duodecimal, if you halve 12, you get 6; 
> if you halve 6, you get 3; if you halve 3, you get 1.6; if you halve 
> 1.6, you get, 0.9; if you halve 0.9, you get 0.46; if you halve 0.46, 
> you get 0.23, and so on. Yuck! It's nasty and dirty and messy and 
> irregular and complicated.
> 
> Why should this matter anyway? Consider the whole basis upon which 
> different bases are being suggested in the first place. It's because 
> of the fractions -- because certain fractions can be represented 
> nicely in that particular base. *NO* base can represent all fractions 
> nicely (this can be mathematically proven with a precise mathematical 
> definition of what is meant by "nice", and I think it's pretty 
> obvious anyway), so which fractions should we consider? Well, you 
> could contrive to just pick any arbitrarily, but the simplest, 
> smoothest, most natural, obvious, logical choice is the fraction 1/2, 
> hence the above. A number system can represent nicely all numbers 
> arrived at by successive halving if and only if it has a base that is 
> a positive integral power of 2.

I might be being obtuse, but I can't think of occasions in quotidian
life when I engage in successive halving and thus wish for a number
base that facilitates that.

> Also, consider that the prime representation (the prime 
> representation of a number is positive integral powers -- any or all 
> of the powers could be 1 and hence ignored -- of prime numbers 
> multiplied together to give that number, so for example for 45 it is 
> (3^2) * 5) of any number that is a positive integral power of 2 will 
> clearly just be 2 to the power of something, the simplest form of 
> prime representation possible. Whereas prime representations of any 
> other numbers, such as 12 and 60 ((2^2) * 3 and (2^2) * 3 * 5 
> respectively) are more complicated and are messy and irregular and 
> not a natural, obvious choice.

This goes over my head. As far as I can gather, your reasons for
favouring 16 have to do with mathematical aesthetics, while everyone
else's are utilitatian (either 10 because it's familiar, or 12
because it's convenient for daily life). If I am right about that, 
then we need not disagree, because while I am competent to judge
what would be useful to me in daily life, I'm not competent to
make judgements about mathematical aesthetics.

> > The benefits of 12 and 60 have been pointed out by Mark in several
> > messages -- they make it easy to divide by 2, 3, 4, 5, 6, (10, 12, 
> 15, 20, 30).
> 
> So what though? Why does this outweigh the above? Dividing by 2 is 
> the important thing. Why pick those other numbers? What's so special 
> about them?

Um, well -- the special thing about 3, 4, 5, 6 is that they're the next
numbers after 2. 10, 12, 15, 20, 30 aren't special in the same way,
but extra divisors are always handy. 

It seems reasonable to suppose that half the time when we want to
divide something, we want to divide it by 2, half the remaining time,
by 3, half the remaining time after that, by 4, and so on. So divisibility
by 7 or more is not going to be a great advantage, but divisibility
by 3 and 4 is.

> > I guess one can use traditional nonmetric measures to gauge which 
> bases are most useful, at least for dividing things up. 12 and 60 are 
> familiar of
> > course. Old money had 12 pence to the shilling and 20 shillings to 
> the
> > pound and 21 to the guinea. There are 14 pounds to the stone 
> (why?!?)
> > and -- lo! -- 16 ounces to the pound (tho we in Britain talk about 
> > half a pound and quarter of a pound when in grocery contexts).
> 
> Only the old-fashioned people! ;) ...Anyway, is 21 a good, useful 
> choice? Or 20 or 14?

No, but maybe they had some utilitarian purpose that I fail to perceive.
--And.